<?php
/* 
 * Reminder: always indent with 4 spaces (no tabs).
 *
 * Boxary Plugin 1.0.0 for Geeklog 2.1
 */
###############################################################################
# plugins/boxary/language/english_utf-8.php

###############################################################################
## Admin menu
$LANG_BOXARY_admin_menu = array('wiki'   => 'Information',
                                'base'   => 'Data',
                                'blend'  => 'Attributes',
                                'binder' => 'Types',
                                'trait'  => 'Categories',
                                'joint'  => 'Groups',
                                'master' => 'Master',
                                'burst'  => 'Backup / Restore',
                                'pro'    => 'Proversion'
                            );


## User
$LANG_BOXARY_user_menu  = array('wiki'  => 'Manual',
                                '4'     => 'my Training',
                                '5'     => 'TrainingCards',
                                '6'     => 'Exercises',
                                '7'     => 'My Groups'
                            );


###############################################################################
$LANG_BOXARY        = array('list'                    => 'List',
                            'countlist'               => 'Count list',
                            'selectit'                => 'Select',
                            'selectall'               => 'Select all',
                            'byconfig'                => 'By configuration settings',
                            'data'                    => 'Data',
                            'mydata'                  => 'My Data',
                            'Norecentnew'             => 'No new data.',
                            'nohit'                   => 'No hits',
                            'nopermission'            => 'No Permissions',
                            'more'                    => 'More',
                            'day'                     => "{$_CONF['shortdate']}",
                            'home'                    => 'Home',
                            'view'                    => 'View',
                            'count'                   => 'Count',
                            'category_top'            => 'Categories Top',
                            'attribute_top'           => 'Attributes Top',
                            'search_link'             => '',
                            'category_separater'      => ', ',
                            'category_separater_code' => ':',
                            'category_separater_text' => ', ',
                            'field_separater'         => ' | ',
                            'loginrequired'           => 'Login Required',
                            'lastmodified'            => '%B/%e/%Y Updated',
                            'lastcreated'             => '%B/%e/%Y Created',
                            'deny_msg'                => 'No data or no permissions.'
                        );

###############################################################################
# admin/plugins/

$LANG_BOXARY_ADMIN  = array('piname'                    => 'Boxary',
                            'admin_list'                => 'BOXARY',
                            'edit'                      => 'Edit',
                            'ref'                       => 'Reference',
                            'view'                      => 'View',
                            'new'                       => 'New',
                            'drafton'                   => 'Draft On All',
                            'draftoff'                  => 'Draft Off All',
                            'export'                    => 'Export',
                            'import'                    => 'Import',
                            'sampleimport'              => 'Import sample',
                            'importfile'                => 'Path',
                            'importurl'                 => 'URL',
                            'delete'                    => 'Delete',
                            'deletemsg_user'            => "Delete all.<br {xhtml}>",
                            'idfrom'                    => "From ID",
                            'idto'                      => "To ID",
                            'mail1'                     => 'Send',
                            'mail2'                     => 'Settings',
                            'submit'                    => 'Submit',
                            'admin_home'                => 'Admin Home',
                            'link_admin'                => 'Admin',
                            'link_admin_top'            => 'Admin TOP',
                            'link_public'               => '|Public',
                            'link_list'                 => 'List',
                            'link_detail'               => 'Detail',
                            'inpreparation'             => '(n.a.)',
                            'xml_def'                   => 'XML definition',
                            'init'                      => 'Initialize',
                            'list'                      => 'List',
                            'dataclear'                 => 'Clear data',
                            'allclear'                  => 'Clear all',
                            'path'                      => 'Path',
                            'url'                       => 'URL',
                            'default'                   => 'Default',
                            'importmsg'                 => 'Absolute path (directory , file) or URL select.<{XHTML}br>'
                                                         . 'If directory selected, xml file is imported under the directory.<{XHTML}br>'
                                                         . 'Log file is logs/boxary_xmlimport.<{XHTML}br>',
                            'exportmsg'                 => 'Select absolute path (directory).<{XHTML}br>'
                                                         . 'Log file is logs/boxary_xmlimport.<{XHTML}br>',
                            'initmsg'                   => 'Proversion Initialize. List delete.',
                            'dataclearmsg'              => 'Did you Backup?<{XHTML}br>'
                                                         . 'clear data now.<{XHTML}br>'
                                                         . 'Uploaded file delete, too.<{XHTML}br>'
                                                         . 'Attributes, Category, Group not deleted.<{XHTML}br>',
                            'allclearmsg'               => 'Did you Backup?<{XHTML}br>'
                                                         . 'master and clear data.<{XHTML}br>'
                                                         . 'Uploaded file is deleted.<{XHTML}br>',
                            'backupmsg'                 => "{$_CONF['backup_path']}"."boxary/<{XHTML}br>"
                                                         . 'Boxary database is backup-ed.<{XHTML}br>'
                                                         . 'Backup upload file.<{XHTML}br>',
                            'restoremsg'                => "{$_CONF['backup_path']}"."boxary/にある"
                                                         . 'Filename  select.(default: boxary.xml)<{XHTML}br>'
                                                         . 'Boxary  Database Data Restore.<{XHTML}br>'
                                                         . 'Restore UploadFile.<{XHTML}br>',
                            'restoremsgPHP'             => "{$_CONF['backup_path']}"."boxary/にある"
                                                         . 'Select file name.（default:boxary.xml）<{XHTML}br>phpMyAdmin でexport したBoxary のdatabase データをRestoreします.<{XHTML}br>phpMyAdmin XML Dump version 3.3.8用<{XHTML}br>接頭子が異なる場合は, あらかじめchange しておいてください.<{XHTML}br>upload file は別途もどしてください.<{XHTML}br>',
                            'draftonmsg'                => "All drafts are turned on <br{XHTML}>",
                            'draftoffmsg'               => "All drafts are turned off <br{XHTML}>",
                            'hitsclearmsg'              => "Hits becomes 0<br{XHTML}>",
                            'yy'                        => '/',
                            'mm'                        => '/',
                            'dd'                        => ' ',
                            'must'                      => "<font color='red'>*</font>",
                            'enabled'                   => 'Enabled',
                            'modified_autoupdate'       => 'Auto Updated',
                            'additionfields'            => 'Attributes',
                            'basicfields'               => 'Default Attributes',
                            'traitID'                   => 'Category ID',
                            'blendID'                   => 'Attribute ID',
                            'name'                      => 'Name',
                            'templatesetvar'            => 'Theme Variable',
                            'templatesetvars'           => 'Theme Variables',
                            'parentID'                  => 'Parent ID',
                            'help-parentID'             => '(a parent category is auto-selected on data-entry)',
                            'parent_flag'               => 'Is Parent Group?',                                          // obs
                            'help-parent_flag'          => '(a parent is not selectable as a CategoryGroup)',
                            'renderAs'                  => 'Render As a ',                                    // obs
                            'ranking'                   => 'Order',                                                     // obs
                            'blend'                     => 'Attribute',
                            'blends'                    => 'Attributes',
                            'content'                   => 'Contents',
                            'byusingid'                 => 'Use ID',
                            'byusingcode'               => 'Use Code',
                            'byusingtemplatesetvar'     => 'Use Theme Variable',
                            'withlink'                  => 'With Link',
                            'groupbygroup'              => 'groupby group  ',
                            'number'                    => "Number",
                            'endmessage'                => "Finished",
                            'delete_help_item'          => '(NOTE: Data is removed, too!)',
                            'delete_help_group'         => '(There is data present. Will not delete group.)',
                            'delete_help_category'      => '(There is data present. Will not delete category and parent.)',
                            'delete_help_binder'        => '(There is data present. Will not delete attribute.)',
                            'delete_help_mst'           => '(There is registered data, can\'t remove.)',
                            'jobend'                    => 'Finished.<br{KHTML}>',
                            'cnt_ok'                    => 'Done: %d<br{KHTML}>',
                            'cnt_ng'                    => 'Error: %d<br{KHTML}>',
//backup&restore
                            'config'                    => 'Configuration',
                            'config_backup'             => 'Backup',
                            'config_backup_help'        => 'Save Backup File',
                            'config_init'               => 'Initialize',
                            'config_init_help'          => 'Initialize.',
                            'config_restore'            => 'Restore',
                            'config_restore_help'       => 'Restore Backup File',
                            'config_update'             => 'Update',
                            'config_update_help'        => 'Update.',
                            'document'                  => 'Document',
                            'configuration'             => 'Configuration Settings',
                            'autotags'                  => 'Autotags',
                            'online'                    => 'Online',
                            'about_admin_wiki'          => 'About Autotags',
                            'about_admin_base'          => 'Data Admin',
                            'about_admin_mydata'        => 'Data Edit',
                            'about_admin_trait'         => 'Category Admin',
                            'about_admin_blend'         => 'Attribute Admin',
                            'about_admin_joint'         => 'Group Admin',
                            'about_admin_binder'        => 'Attribute Binder Admin',
                            'about_admin_burst'         => 'Create Backup and Restore<br{KHTML}><br{KHTML}>',
                            'about_admin_master'        => 'Master Admin',

                            'about_admin_lingo'         => 'About Web Apps',
                            'about_admin_bag'           => 'Traits & Bags',
                            'about_admin_category'      => 'Trait Grouping',
                            'about_admin_bunch'         => 'baseSets Admin',
                            'about_admin_datatype'      => 'Aggregates',
                            'about_admin_data'          => 'Data Structures',
                            'about_admin_facet'         => 'Category Grouping',
                            'about_admin_trunk'         => 'Entities',
                            'about_admin_object'        => 'Records',

                            'about_admin_view'          => 'General Pagedisplay for logged in user.',
                            'inst_binferfields'         => 'Attribute Edit: click Attributes name, click add or remove button.<{XHTML}br>'
                                                         . 'to add Attributes, select only right side.<{XHTML}br>'
                                                         . 'After edit, click Save button.<{XHTML}br>',
                            'inst_newdata'              => 'Select Type for Creation of Data<br{XHTML}>',
                            'err'                       => 'Error',
                            'err_empty'                 => 'File is nothing',
                            'err_invalid'               => 'Invalid data',
                            'err_permission_denied'     => 'Not permitted.',
                            'err_id'                    => 'ID is not valid',
                            'err_name'                  => 'Name is not valid',
                            'err_templatesetvar'        => 'Theme variableis not invalid',
                            'err_templatesetvar_w'      => 'Theme variable is already used',
                            'err_code_w'                => 'Code is duplicated',
                            'err_code'                  => 'Code input error',
                            'err_title'                 => 'Title input error',
                            'err_selection'             => 'Nothing selected',
                            'err_modified'              => 'Edit date is not valid.',
                            'err_created'               => 'Created date is not valid.',
                            'err_released'              => 'Published date is not valid.',
                            'err_expired'               => 'Publish date is not valid.',
                            'err_checkrequried'         => 'Check Required,',
                            'err_date'                  => 'Date is invalid.',
                            'err_writable'              => ' is not writable',
                            'err_size'                  => 'Size is invalid.',
                            'err_mtype'                 => 'Type is invalid.',
                            'err_blend_w'               => 'This attribute is already registered',
                            'err_tag_w'                 => 'This tag is already registered.',
                            'err_url'                   => 'This URL is not a valid address',
                            'err_backup_file_not_exist' => 'Configuration backup file is non existence.<br{KHTML}>',
                            'err_backup_file_non_rewritable' => 'Configuration Backup File not (re)writable<br{KHTML}>',
                            'err_not_exist'             => 'Not found',
                            'err_genus'                 => 'Genus error.',
                            'err_enum'                  => 'enumeration error.',
                            'err_enum_w'                => 'This number is already used.'
                        );

$LANG_BOXARY_PROPS = array(
                            'baseID'                    => 'baseID',
                            'jointID'                   => 'Group',
                            'traitID'                   => 'Category',
                            'binderID'                  => 'Binder',
                            'blendID'                   => 'Field',
                            'masterID'                  => 'Master',
                            'parentID'                  => 'Parent',
                            'statsID'                   => 'Stats',

                            'base'                      => 'Base Data',
                            'blend'                     => 'Attributes',
                            'binder'                    => 'Sets',
                            'trait'                     => 'Categories',
                            'joint'                     => 'Groups',
                            'master'                    => 'Master',
                            'stats'                     => 'Stats',

                            'lingo'                     => 'Apps',
                            'bag'                       => 'Bags of Data',
                            'facet'                     => 'Facet Hierachies',
                            'category'                  => 'Trait Hierachies',
                            'bunch'                     => 'Aggregates',
                            'trove'                     => 'Records',
                            'datatype'                  => 'Formats',
                            'bundle'                    => 'Entities',
                            'trunk'                     => 'App Model',

                            'code'                      => 'Code',
                            'appcode'                   => 'webApp',
                            'name'                      => 'Name',
                            'seq'                       => 'SEQ',
                            'tag'                       => 'TAG',
                            'value'                     => 'Long Value (primary)',
                            'value2'                    => 'Short Value (secondary)',
                            'disp'                      => 'Displayed As',
                            'relno'                     => 'release#',
                            'title'                     => 'Title',
                            'page_title'                => 'Page Title',
                            'description'               => 'Description',
                            'tDir'                      => 'Template Directory',
                            'tVar'                      => 'Theme Variable',
                            'layout'                    => 'Layout',
                            'ranking'                   => 'Rank',
                            'category'                  => 'Category',
                            'meta_description'          => 'META Description',
                            'meta_keywords'             => 'META Keywords',
                            'hits'                      => 'Hits',
                            'hitsclear'                 => 'clear hits',
                            'comments'                  => 'Comment Number',
                            'commentcode'               => 'Comment',
                            'comment_expire'            => 'Comment Expiry Date',
                            'trackbackcode'             => 'Trackback',
                            'group'                     => 'Group',
                            'parent'                    => 'Parent',
                            'parent_flag'               => 'Is a Group Parent ?',
                            'renderAs'                  => 'Render As a ',
                            'bundle'                    => 'Aggregate Type',
                            'binderfields'              => "Type List",                         // obs
                            'binderfieldsregistered'    => "Registered attribute",              // obs
                            'fieldlist'                 => "Attribute List",                    // obs
                            'bindergroups'              => "Category Group List",               // obs
                            'bindergroupsregistered'    => "Registered Category Group",         // obs
                            'jointlist'                 => "Category Group List",               // obs
                            'fieldlist'                 => 'Type List',                         // obs
                            'registset'                 => 'Register Type',                     // obs
                            'changeset'                 => 'Change Type',                       // obs
                            'inst_changeset0'           => 'Set attribute to none attribute set data:<{XHTML}br>',  // obs
                            'inst_changesetx'           => '<{XHTML}br>',                                           // obs
                            'inst_changeset'            => 'Select attribute sets.<{XHTML}br>',                     // obs
                            'inst_dataexport'           => "Select export attribute set.<br{XHTML}>",               // obs
                            'allow_display'             => 'Allow Display (For users)',
                            'allow_edit'                => 'Edit Permission (For user edit)',
                            'mType'                     => 'Attribute Type',
                            'size'                      => 'Size',
                            'maxlength'                 => 'Max Length',
                            'rows'                      => 'Rows',
                            'vCols'                     => 'Columns',
                            'help-vCols'                => '0: no columns',
                            'language_id'               => "Language ID",
                            'owner_id'                  => "Owner ID",
                            'group_id'                  => "Group ID",
                            'perm_owner'                => "Permission (Owner)",
                            'perm_group'                => "Permission (Group)",
                            'perm_members'              => "Permission (Member)",
                            'perm_anon'                 => "Permission (Anonymous)",
                            'selection'                 => 'Selection',
                            'pickList'                  => 'Select List',
                            'checkrequired'             => 'Is Required ?',
                            'textcheck'                 => 'Input Validation ?',
                            'textconv'                  => 'Transform input value ?',
                            'searchtarget'              => 'Search Target',
                            'draft'                     => 'Draft',
                            'draft_flag'                => 'Draft',
                            'draft_msg'                 => 'This data is in draft mode.',
                            'uid'                       => 'UserID',
                            'modified'                  => 'Modified',
                            'created'                   => 'Created',
                            'released'                  => 'Released',
                            'expired'                   => 'Archive Options',
                            'daysleft'                  => 'days left',
                            'udatetime'                 => 'Modified',
                            'uuid'                      => 'Modified by ',
                            'genus'                     => 'Genus',
                            'enum'                      => 'Option#'
                    );

//xmlimport_help
$LANG_BOXARY_xmlimport['help']  =   "<br{KHTML}>"
                                .   "(Note)<br{KHTML}>"
                                .   "assist Boxary Plugin XML Batch Import Path registered same path.<br{KHTML}>"
                                .   "<br{KHTML}>"
                                .   "assist Plugin xmlImport exit.<br{KHTML}>"
                                .   "maps:item_10 is Code registered.<br{KHTML}>"
                                .   "same code is already registered, delete added.<br{KHTML}>"
                                .   "<br{KHTML}>"
                                .   "Boxary Plugin xmlImport exit.<br{KHTML}>"
                                .   "same code is already registered, delete added.<br{KHTML}>"
                                .   "process, XMLFile Delete.<br{KHTML}>"
                                .   "(permission delete) <br{KHTML}>"
                                .   "<br{KHTML}>"
                                .   "exit　boxary_xmlimport.log register.<br{KHTML}>"

                ;

###############################################################################
$LANG_BOXARY_ORDER['random']     =   "Random Order";
$LANG_BOXARY_ORDER['date']       =   "Date Order";
$LANG_BOXARY_ORDER['ranking']    =   "Display Order";
$LANG_BOXARY_ORDER['code']       =   "Code Order";
$LANG_BOXARY_ORDER['title']      =   "Title Order";
$LANG_BOXARY_ORDER['description']=  "Description Order";
$LANG_BOXARY_ORDER['id']         =   "ID order";
$LANG_BOXARY_ORDER['released']   =   "Released";
$LANG_BOXARY_ORDER['order']      =   "Order";

###############################################################################
##
$LANG_BOXARY_XML['base:code']    =   $LANG_BOXARY_ADMIN['code'];
$LANG_BOXARY_XML['base:title']   =   $LANG_BOXARY_ADMIN['title'];
###############################################################################
$LANG_BOXARY_MAIL['subject_data']           =   "【{$_CONF['site_name']}】Data Update by %s";
$LANG_BOXARY_MAIL['message_data']           =   "Updated by %s(user no.%s)".LB.LB;
$LANG_BOXARY_MAIL['subject_category']       =   "【{$_CONF['site_name']}】Category Update by {$_USER['username']}.";
$LANG_BOXARY_MAIL['message_category']       =   "Category was edited by {$_USER['username']}(user no.{$_USER['uid']}).".LB.LB;
$LANG_BOXARY_MAIL['subject_group']          =   "[{$_CONF['site_name']}] Group was edited by {$_USER['username']}.";
$LANG_BOXARY_MAIL['message_group']          =   "Group was edited by {$_USER['username']}(user no.{$_USER['uid']}).".LB.LB;
$LANG_BOXARY_MAIL['subject_binder']         =   "【{$_CONF['site_name']}】Type was edited by {$_USER['username']}";
$LANG_BOXARY_MAIL['message_binder']         =   "Type was updated by {$_USER['username']}(user no.{$_USER['uid']}).".LB.LB;
$LANG_BOXARY_MAIL['sig']                    =   LB. "------------------------------------" .LB
                                            .   "{$_CONF['site_name']}".LB
                                            .   "{$_CONF['site_url']}".LB
                                            .   "This is automaticaly sended."
                                            .   LB. "------------------------------------" .LB;
$LANG_BOXARY_MAIL['subject_data_delete']    =   "【{$_CONF['site_name']}】DataDelete by {$_USER['username']}";
$LANG_BOXARY_MAIL['message_data_delete']    =   "Data was removed by {$_USER['username']}(user no.{$_USER['uid']}).".LB;
$LANG_BOXARY_MAIL['subject_category_delete']=   "【{$_CONF['site_name']}】CategoryDelete by {$_USER['username']}";
$LANG_BOXARY_MAIL['message_category_delete']=   "Category was removed by {$_USER['username']}(user no.{$_USER['uid']}).".LB;
$LANG_BOXARY_MAIL['subject_group_delete']   =   "【{$_CONF['site_name']}】Group Delete by {$_USER['username']}";
$LANG_BOXARY_MAIL['message_group_delete']   =   "Group was removed by {$_USER['username']}(user no.{$_USER['uid']}).".LB;
$LANG_BOXARY_MAIL['subject_binder_delete']  =   "【{$_CONF['site_name']}】Type removed by {$_USER['username']}.";
$LANG_BOXARY_MAIL['message_binder_delete']  =   "Attributes set was removed by {$_USER['username']}(user no.{$_USER['uid']}).".LB;

###############################################################################
#

$LANG_BOXARY_YESNO      = array(    0 => 'No', 1 => 'Yes');

$LANG_BOXARY_RENDERAS   = array(    0 => 'Checkbox', 1 => 'Multi Select List');

$LANG_BOXARY_LAYOUT                    = array();
$LANG_BOXARY_LAYOUT[0]                 = $LANG_BOXARY['byconfig'];
$LANG_BOXARY_LAYOUT['standard']        = 'Standard';
$LANG_BOXARY_LAYOUT['leftrightblocks'] = 'Left and Right Blocks';
$LANG_BOXARY_LAYOUT['blankpage']       = 'Blank Page';
$LANG_BOXARY_LAYOUT['noblocks']        = 'No Block';
$LANG_BOXARY_LAYOUT['leftblocks']      = 'Left Block';
$LANG_BOXARY_LAYOUT['rightblocks']     = 'Right Block';

$LANG_BOXARY_ALLOWDISPLAY       =   array();
$LANG_BOXARY_ALLOWDISPLAY[0]    =   'Display (order)';
$LANG_BOXARY_ALLOWDISPLAY[1]    =   'Logged in User';
$LANG_BOXARY_ALLOWDISPLAY[2]    =   'Owner, Group and Admin';
$LANG_BOXARY_ALLOWDISPLAY[3]    =   'Owner and Admin';
$LANG_BOXARY_ALLOWDISPLAY[4]    =   'Admin only';
$LANG_BOXARY_ALLOWDISPLAY[5]    =   'No Display';

$LANG_BOXARY_ALLOWEDIT          =   array();
$LANG_BOXARY_ALLOWEDIT[0]       =   'Edit';
$LANG_BOXARY_ALLOWEDIT[2]       =   'Only Owner, Group and Admin';
$LANG_BOXARY_ALLOWEDIT[3]       =   'Owner and Admin';
$LANG_BOXARY_ALLOWEDIT[4]       =   'Display Only';
$LANG_BOXARY_ALLOWEDIT[5]       =   'Display Disabled';

$LANG_BOXARY_TEXTCHECK          =   array();
$LANG_BOXARY_TEXTCHECK[0]       =   'no check';
$LANG_BOXARY_TEXTCHECK[11]      =   'only half-width (change half-width automatically)';
$LANG_BOXARY_TEXTCHECK[12]      =   'only half-width alphanumeric (change half-width automatically)';
$LANG_BOXARY_TEXTCHECK[13]      =   'ID format (change half-width automatically)';
$LANG_BOXARY_TEXTCHECK[14]      =   'only half-width alphanumeric or symbol (change half-width automatically)';

$LANG_BOXARY_TEXTCONV           =   array();
$LANG_BOXARY_TEXTCONV[0]        =   'none';
$LANG_BOXARY_TEXTCONV[10]       =   'change half-width';
$LANG_BOXARY_TEXTCONV[20]       =   'change half-width';
$LANG_BOXARY_TEXTCONV[30]       =   'load from REQUEST';

//TYPE (Chenge Disabled)
$LANG_BOXARY_MTYPE              =   array();
$LANG_BOXARY_MTYPE[0]           =   'Single Line of Text';
$LANG_BOXARY_MTYPE[1]           =   'MultiLine Text Attribute (HTML)';
$LANG_BOXARY_MTYPE[2]           =   'Yes/No';
$LANG_BOXARY_MTYPE[3]           =   'Date (Date Picker)';
$LANG_BOXARY_MTYPE[4]           =   'Time (In preparation)';
$LANG_BOXARY_MTYPE[5]           =   'Mail Address';
$LANG_BOXARY_MTYPE[6]           =   'Url';
$LANG_BOXARY_MTYPE[7]           =   'Option List';
$LANG_BOXARY_MTYPE[8]           =   'Radio Button List';
$LANG_BOXARY_MTYPE[9]           =   'Definition List';
$LANG_BOXARY_MTYPE[10]          =   'MultiLine Text Attribute (plain)';
$LANG_BOXARY_MTYPE[11]          =   'Image (DB embedded)';
$LANG_BOXARY_MTYPE[12]          =   'Image (File Save)';
$LANG_BOXARY_MTYPE[13]          =   'File (In Preparation )';
$LANG_BOXARY_MTYPE[14]          =   'Multi Value Select';
$LANG_BOXARY_MTYPE[15]          =   'Numeric';
$LANG_BOXARY_MTYPE[16]          =   'Radio Button List（from master）';//@@@@@
$LANG_BOXARY_MTYPE[17]          =   'Flag';
$LANG_BOXARY_MTYPE[18]          =   'Multi Value Select（from master）';//@@@@@
$LANG_BOXARY_MTYPE[19]          =   '';//@@@@@
$LANG_BOXARY_MTYPE[20]          =   '';//@@@@@
$LANG_BOXARY_MTYPE[21]          =   'Video (server)';
$LANG_BOXARY_MTYPE[22]          =   'Video (youTube)';
$LANG_BOXARY_MTYPE[23]          =   'Video (Vimeo)';
$LANG_BOXARY_MTYPE[24]          =   'Video (other, na)';

###############################################################################
#
$LANG_BOXARY_SEARCH['type']     =   'Boxary';
$LANG_BOXARY_SEARCH['results']  =   'Boxary Search Results';
$LANG_BOXARY_SEARCH['title']    =   'Title';
$LANG_BOXARY_SEARCH['udate']    =   'Update';
###############################################################################
# COM_showMessage()
$PLG_boxary_MESSAGE1            =   'Saved';
$PLG_boxary_MESSAGE2            =   'Deleted';
$PLG_boxary_MESSAGE3            =   'Check a Problem.';
// Messages for the plugin upgrade
$PLG_boxary_MESSAGE3002         =   $LANG32[9];
###############################################################################
#
$LANG_BOXARY_autotag_desc['boxary'] =   "[boxary:count] <br{xhtml}>	"
                                    .   'More, see Boxary Plugin documents.'
                                    .   "<a href=\"{$_CONF['site_admin_url']}/plugins/boxary/docs/japanese/autotags.html\">*</a>";
###############################################################################
# configuration
// Localization of the Admin Configuration UI
$cname =  & $LANG_confignames['boxary'];

$LANG_configsections['boxary']['label']    = 'Boxary';
$LANG_configsections['boxary']['title']    = 'Boxary Setting';
//----------
$LANG_configsubgroups['boxary']['sg_main'] = 'Main';
//--(0)
$LANG_tab['boxary'][tab_main]          = 'MainSetting';
$LANG_fs['boxary'][fs_main]            = 'Boxary MainSetting';
$cname['perpage']                      = 'Date Number by Page';
$cname['loginrequired']                = 'Login Required';
$cname['hidemenu']                     = 'Hide Menu';
$cname['categorycode']                 = 'Use Category Code ';
$cname['datacode']                     = 'Use Data Code';
$cname['groupcode']                    = 'Use Group Code';
$cname['top']                          = 'Program on Frontpage';
$cname['templates_user']               = 'Templates Public';
$cname['templates_admin']              = 'Templates Admin';
$cname['themespath']                   = 'Theme Template Path';
$cname['delete_data']                  = 'Delete data when Owner Deleted';
$cname['datefield']                    = 'Date field';
$cname['meta_tags']                    = 'Use Meta';
$cname['layout']                       = 'Layout Public';
$cname['layout_admin']                 = 'Layout Admin';
//----------------------
$cname['mail_to']                      = 'Notify Address';
$cname['mail_to_owner']                = 'Mail to owner';
$cname['mail_to_draft']                = 'Notify draft data';
$cname['allow_data_update']            = 'Permit User Update Data';
$cname['allow_data_delete']            = 'Permit User Delete Data';
$cname['allow_data_insert']            = 'Permit User Insert Data';
$cname['admin_draft_default']          = 'Admin Create New: default Draft';
$cname['user_draft_default']           = 'User Create New: default Draft';
$cname['dateformat']                   = 'Date Format with Date Picker';
$cname['aftersave']                    = 'Action after Save for Public';
$cname['aftersave_admin']              = 'Action after Save for Admin';
$cname['grp_id_default']               = 'Group Default';
$cname['default_img_url']              = 'Default Image URL';
$cname['maxlength_description']        = 'Maxlength description';
$cname['maxlength_meta_description']   = 'Max length of meta description';
$cname['maxlength_meta_keywords']      = 'Max length of meta keyword';
$cname['hideuseroption']               = 'hide useroption';
$cname['commentcode']                  = 'Comment Default';
//--(1)
$LANG_tab['boxary'][tab_whatsnew]      = 'Whats new Block';
$LANG_fs['boxary'][fs_whatsnew]        = 'Whats new Block';
$cname['whatsnew_interval']            = 'New Period';
$cname['hide_whatsnew']                = 'Hide Whats New';
$cname['title_trim_length']            = 'Title of Max Length';
//---(2)
$LANG_tab['boxary'][tab_search]        = 'Search';
$LANG_fs['boxary'][fs_search]          = 'Search Results';
$cname['include_search']               = 'Data Search';
$cname['additionsearch']               = 'Attributes number for Search';
//---(3)
$LANG_tab['boxary'][tab_permissions]   = 'Permission';
$LANG_fs['boxary'][fs_permissions]     = 'Data Permission Default([0]Owner [1]Group [2]Member [3]Anonimous)';
$cname['default_permissions']          = 'Permissions';
//---(4)
$LANG_tab['boxary'][tab_autotag]       = 'Autotags';
$LANG_fs['boxary'][fs_autotag]         = 'Autotags';
$cname['intervalday']                  = "Display Period(Day)";
$cname['limitcnt']                     = "Display Number";//@@@@@
$cname['newmarkday']                   = "New Mark Display Period(Day)";//@@@@@
$cname['categories']                   = "Default Category";//@@@@@!!!!
$cname['new_img']                      = "New Mark";//@@@@@
$cname['rss_img']                      = "RSS Mark";//@@@@@
//---(５)
$LANG_tab['boxary']['tab_file']        = 'Upload File';
$LANG_fs['boxary']['fs_file']          = 'Upload File';
$cname['imgfile_size']                 = 'Image File(DB) MaxSize';
$cname['imgfile_type']                 = 'Image File(DB)  Type';
$cname['imgfile_size2']                = 'Image File Max Size';
$cname['imgfile_type2']                = 'Image File Type';
$cname['imgfile_frd']                  = 'Image Save URL';
$cname['imgfile_thumb_frd']            = 'Thumbnail Image Save URL';
$cname['imgfile_thumb_ok']             = 'Use Thumbnail';
$cname['imgfile_thumb_w']              = 'Thumbnail Size(w)';
$cname['imgfile_thumb_h']              = 'Thumbnail Size(h)';
$cname['imgfile_thumb_w2']             = 'Original Image Size(w2)';
$cname['imgfile_thumb_h2']             = 'Original Image Size(h2)';
$cname['imgfile_smallw']               = 'Display Image Max Width';
$cname['imgfile_subdir']               = 'use subdirectory for Image Save URL';
$cname['file_path']                    = 'File Save Absolute Path';
$cname['file_size']                    = 'File Size';
$cname['file_type']                    = 'File Type';
//---(６)
$LANG_tab['boxary']['tab_autotag_permissions'] = 'Autotags Permission';
$LANG_fs['boxary']['fs_autotag_permissions']   = 'Autotags Permission ([0]Owner [1]Group [2]Member [3]Anonimous)';
$cname['autotag_permissions_boxary']   = '[boxary: ] Permission';
//---(９)
$LANG_tab['boxary']['tab_xml']         = 'ProfesionalVersion';
$LANG_fs['boxary']['fs_xml']           = '(Profesional Version)';
$cname['path_xml']                     = 'XML Batch Import Path';
$cname['path_xml_out']                 = 'XML Export Path';

// Note: entries 0, 1, 9, 12, 17 are the same as in $LANG_configselects['Core']

$sname = & $LANG_configselects['boxary'];

$sname[0]    =   array(  'Yes' => 1,    'No' => 0);
$sname[1]    =   array(  'Yes' => true, 'No' => false);
$sname[12]   =   array(  'AccessDisabled' => 0, 'Display' => 2, 'Display・Edit' => 3);
$sname[13]   =   array(  'AccessDisabled' => 0, 'Use'     => 2);
$sname[5]    =   array(  'Hide' => 'hide',
                         'Display by Modified Date'  => 'modified',
                         'Display by Created Date'   => 'created',
                         'Display by Released Date'  => 'released'
                    );
//$sname[17] =   array('Access Denied' => 0, 'Display' => 2, 'Display・Edit' => 3);
$sname[20]   =   array(  'Standard'                  => 'standard',
                         'Custom'                    => 'custom',
                         'Theme'                     => 'theme'
                    );

$sname[21]   =   array(  'By Modified Date'          => 'modified',
                         'By Created Date'           => 'created',
                         'Display by Released Date'  => 'released'
                    );

$sname[22]   =   array(  'Standard'                  => 'standard',
                         'Left and Right Blocks'     => 'leftrightblocks',
                         'Blank Page'                => 'blankpage',
                         'No Block'                  => 'noblocks',
                         'Left Block'                => 'leftblocks',
                         'Right Block'               => 'rightblocks'
                    );

$sname[23]   =   array(  'Yes'                       => 3,
                         'List and Detail'           => 2,
                         'Only Detaile'              => 1,
                         'No'                        => 0
                    );


$sname[9]    =   array(  'Same Page Display'         => 'no',
                         'Page Display'              => 'item',
                         'List Display'              => 'list',
                         'Home Display'              => 'home',
                         'AdminTop Display'          => 'admin',
                         'PluginTop Display'         => 'plugin'
                    );
$sname[25]   =   array(  'Same Page Display'         => 'no',
                         'Page Display'              => 'item',
                         'List Display'              => 'list',
                         'Home Display'              => 'home',
                         'PluginTop Display'         => 'plugin'
                    );
$sname[24]   =   array();

    $sql    = "SELECT grp_id, grp_name FROM {$_TABLES['groups']} ORDER BY grp_name"; // @todo filter on templates or apps ( – @ )
    $result = DB_query( $sql );
    $nrows  = DB_numRows( $result );

    for( $i = 0; $i < $nrows; $i++ )    {
        $A = DB_fetchArray( $result, true );
        $grp_name = $A['grp_name'];
        $grp_id   = $A['grp_id'];
        $sname[24][$grp_name] = $grp_id;
    }
$sname[26]   =   array( 'Comments Enabled' => 0, 'Comments Disabled' => -1);

?>